org.keycloak.jose.jwe.enc

## Class AesCbcHmacShaEncryptionProvider.Aes192CbcHmacSha384Provider

- java.lang.Object
- - org.keycloak.jose.jwe.enc.AesCbcHmacShaEncryptionProvider
  - - org.keycloak.jose.jwe.enc.AesCbcHmacShaEncryptionProvider.Aes192CbcHmacSha384Provider

- All Implemented Interfaces:
    JWEEncryptionProvider
  Enclosing class:
    AesCbcHmacShaEncryptionProvider

      public static class AesCbcHmacShaEncryptionProvider.Aes192CbcHmacSha384Provider
      extends AesCbcHmacShaEncryptionProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.jose.jwe.enc.AesCbcHmacShaEncryptionProvider

      `AesCbcHmacShaEncryptionProvider.Aes128CbcHmacSha256Provider, AesCbcHmacShaEncryptionProvider.Aes192CbcHmacSha384Provider, AesCbcHmacShaEncryptionProvider.Aes256CbcHmacSha512Provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Aes192CbcHmacSha384Provider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getAuthenticationTagLength()`
    `protected int` | `getExpectedAesKeyLength()`
    `int` | `getExpectedCEKLength()`
    `protected String` | `getHmacShaAlgorithm()`

    - ### Methods inherited from class org.keycloak.jose.jwe.enc.AesCbcHmacShaEncryptionProvider

      `deserializeCEK, encodeJwe, serializeCEK, verifyAndDecodeJwe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Aes192CbcHmacSha384Provider

          public Aes192CbcHmacSha384Provider()

  - ### Method Detail

    - #### getExpectedAesKeyLength

          protected int getExpectedAesKeyLength()

      Specified by:
        `getExpectedAesKeyLength` in class `AesCbcHmacShaEncryptionProvider`

    - #### getHmacShaAlgorithm

          protected String getHmacShaAlgorithm()

      Specified by:
        `getHmacShaAlgorithm` in class `AesCbcHmacShaEncryptionProvider`

    - #### getAuthenticationTagLength

          protected int getAuthenticationTagLength()

      Specified by:
        `getAuthenticationTagLength` in class `AesCbcHmacShaEncryptionProvider`

    - #### getExpectedCEKLength

          public int getExpectedCEKLength()

Copyright © 2020 JBoss by Red Hat. All rights reserved.